/**
 * otplib
 *
 * @author Gerald Yeo <contact@fusedthought.com>
 * @version: 9.0.0-0
 * @license: MIT
 **/
'use strict';

function _interopDefault(ex) {
  return ex && typeof ex === 'object' && 'default' in ex ? ex['default'] : ex;
}

var hotp = _interopDefault(require('./hotp'));
var totp = _interopDefault(require('./totp'));
var authenticator = _interopDefault(require('./authenticator'));
var crypto = _interopDefault(require('crypto'));

authenticator.options = { crypto };
hotp.options = { crypto };
totp.options = { crypto };
var index = {
  Authenticator: authenticator.Authenticator,
  HOTP: hotp.HOTP,
  TOTP: totp.TOTP,
  authenticator,
  hotp,
  totp
};

module.exports = index;